Bug 9219 - -w option seems broken
-w option seems broken
Product: Red Hat Linux
Classification: Retired
Component: traceroute (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
Depends On:
  Show dependency treegraph
Reported: 2000-02-08 10:01 EST by itris
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-05-14 17:28:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description itris 2000-02-08 10:01:44 EST
the -w option in traceroute seems to be broken.
when tracerouting to a non-responsive host the traceroute doesn't stop
after the time wait period, it goes on for ever unless a user kills the

this seems to be the same bug that is in the standard rh6.1 ping. Ping was
fixed in rawhide 1.0, traceroute hasn't.
Comment 1 itris 2000-02-09 11:26:59 EST
Addition to the above statement:
the -w option in traceroute is not equal to the -w option in ping. it's equal
to ping's -i option.
which means that traceroute is lacking the -w option that ping has, though it
would be a VERY good idea to have ping's -w option in tracerout for automative

your choice whether this remains an open "bug" report.
Comment 2 Jeff Johnson 2000-05-14 17:28:59 EDT
You're correct, ping and traceroute and ... should have similar options
because they have similar purposes (e.g. debugging networks). I'm gonna
mark this is deferred, we'll get to this someday ...

Note You need to log in before you can comment on or make changes to this bug.